Skip to main content
Read, create, update, and delete notes.

List all notes

curl https://api.relate.so/v1/notes \
  -H "Authorization: Bearer {api_key}"

Retrieve a note

curl https://api.relate.so/v1/notes/:note_id \
  -H "Authorization: Bearer {api_key}"

Create a note

curl https://api.relate.so/v1/notes \
  -H "Authorization: Bearer {api_key}" \
  -H "Content-Type: application/json" \
  -d '{"organization_id":"...","deal_id":"...","body":"this is a note"}'
  • organization_id and body are required.

Update a note

curl -X PATCH https://api.relate.so/v1/notes/:note_id \
  -H "Authorization: Bearer {api_key}" \
  -H "Content-Type: application/json" \
  -d '{"body":"this is an edited note"}'
  • Only deal_id and body can be updated.

Delete a note

curl -X DELETE https://api.relate.so/v1/notes/:note_id \
  -H "Authorization: Bearer {api_key}"